Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.form
Class OdfFormElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.form.OdfFormElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfForm

    public abstract class OdfFormElement

extends OdfElement

DOM implementation of OpenDocument element form:form.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfFormElement(OdfFileDom aOwnerDoc)` Create the instance of OdfFormElement

Method Summary
`OdfButtonElement` | `createButtonElement()` Create child element form:button.
`OdfButtonElement` | `createButtonElement(OdfImagePositionType imagePosition)` Create child element form:button.
`OdfCheckboxElement` | `createCheckboxElement()` Create child element form:checkbox.
`OdfCheckboxElement` | `createCheckboxElement(OdfImagePositionType imagePosition)` Create child element form:checkbox.
`OdfComboboxElement` | `createComboboxElement()` Create child element form:combobox.
`OdfConnectionResourceElement` | `createConnectionResourceElement(OdfAnyURI href)` Create child element form:connection-resource.
`OdfDateElement` | `createDateElement()` Create child element form:date.
`OdfEventListenersElement` | `createEventListenersElement()` Create child element office:event-listeners.
`OdfFileElement` | `createFileElement()` Create child element form:file.
`OdfFixedTextElement` | `createFixedTextElement()` Create child element form:fixed-text.
`OdfFormattedTextElement` | `createFormattedTextElement()` Create child element form:formatted-text.
`OdfFormElement` | `createFormElement()` Create child element form:form.
`OdfFrameElement` | `createFrameElement()` Create child element form:frame.
`OdfGenericControlElement` | `createGenericControlElement()` Create child element form:generic-control.
`OdfGridElement` | `createGridElement()` Create child element form:grid.
`OdfHiddenElement` | `createHiddenElement()` Create child element form:hidden.
`OdfImageElement` | `createImageElement()` Create child element form:image.
`OdfImageFrameElement` | `createImageFrameElement()` Create child element form:image-frame.
`OdfListboxElement` | `createListboxElement()` Create child element form:listbox.
`OdfNumberElement` | `createNumberElement()` Create child element form:number.
`OdfPasswordElement` | `createPasswordElement()` Create child element form:password.
`OdfPropertiesElement` | `createPropertiesElement()` Create child element form:properties.
`OdfRadioElement` | `createRadioElement()` Create child element form:radio.
`OdfRadioElement` | `createRadioElement(OdfImagePositionType imagePosition)` Create child element form:radio.
`OdfTextareaElement` | `createTextareaElement()` Create child element form:textarea.
`OdfTextElement` | `createTextElement()` Create child element form:text.
`OdfTimeElement` | `createTimeElement()` Create child element form:time.
`OdfValueRangeElement` | `createValueRangeElement()` Create child element form:value-range.
`OdfBoolean` | `getAllowDeletes()` Get value of attribute form:allow-deletes.
`OdfBoolean` | `getAllowInserts()` Get value of attribute form:allow-inserts.
`OdfBoolean` | `getAllowUpdates()` Get value of attribute form:allow-updates.
`OdfBoolean` | `getApplyFilter()` Get value of attribute form:apply-filter.
`String` | `getCommand()` Get value of attribute form:command.
`OdfCommandType` | `getCommandType()` Get value of attribute form:command-type.
`String` | `getControlImplementation()` Get value of attribute form:control-implementation.
`OdfAnyURI` | `getDatasource()` Get value of attribute form:datasource.
`String` | `getDetailFields()` Get value of attribute form:detail-fields.
`String` | `getEnctype()` Get value of attribute form:enctype.
`OdfBoolean` | `getEscapeProcessing()` Get value of attribute form:escape-processing.
`String` | `getFilter()` Get value of attribute form:filter.
`OdfAnyURI` | `getHref()` Get value of attribute xlink:href.
`OdfBoolean` | `getIgnoreResult()` Get value of attribute form:ignore-result.
`String` | `getMasterFields()` Get value of attribute form:master-fields.
`String` | `getMethod()` Get value of attribute form:method.
`String` | `getName()` Get value of attribute form:name.
`OdfNavigationModeType` | `getNavigationMode()` Get value of attribute form:navigation-mode.
`OdfName` | `getOdfName()` Get the element name
`String` | `getOrder()` Get value of attribute form:order.
`OdfTabCycleType` | `getTabCycle()` Get value of attribute form:tab-cycle.
`OdfTargetFrameNameType` | `getTargetFrame()` Get value of attribute office:target-frame.
`void` | `setAllowDeletes(OdfBoolean isAllowDeletes)` Set value of attribute form:allow-deletes.
`void` | `setAllowInserts(OdfBoolean isAllowInserts)` Set value of attribute form:allow-inserts.
`void` | `setAllowUpdates(OdfBoolean isAllowUpdates)` Set value of attribute form:allow-updates.
`void` | `setApplyFilter(OdfBoolean isApplyFilter)` Set value of attribute form:apply-filter.
`void` | `setCommand(String command)` Set value of attribute form:command.
`void` | `setCommandType(OdfCommandType commandType)` Set value of attribute form:command-type.
`void` | `setControlImplementation(String controlImplementation)` Set value of attribute form:control-implementation.
`void` | `setDatasource(OdfAnyURI datasource)` Set value of attribute form:datasource.
`void` | `setDetailFields(String detailFields)` Set value of attribute form:detail-fields.
`void` | `setEnctype(String enctype)` Set value of attribute form:enctype.
`void` | `setEscapeProcessing(OdfBoolean isEscapeProcessing)` Set value of attribute form:escape-processing.
`void` | `setFilter(String filter)` Set value of attribute form:filter.
`void` | `setHref(OdfAnyURI href)` Set value of attribute xlink:href.
`void` | `setIgnoreResult(OdfBoolean isIgnoreResult)` Set value of attribute form:ignore-result.
`void` | `setMasterFields(String masterFields)` Set value of attribute form:master-fields.
`void` | `setMethod(String method)` Set value of attribute form:method.
`void` | `setName(String name)` Set value of attribute form:name.
`void` | `setNavigationMode(OdfNavigationModeType navigationMode)` Set value of attribute form:navigation-mode.
`void` | `setOrder(String order)` Set value of attribute form:order.
`void` | `setTabCycle(OdfTabCycleType tabCycle)` Set value of attribute form:tab-cycle.
`void` | `setTargetFrame(OdfTargetFrameNameType targetFrame)` Set value of attribute office:target-frame.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfFormElement

    public OdfFormElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfFormElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element form:form.

### getName

    public String getName()

  Get value of attribute form:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(String name)

  Set value of attribute form:name.

  Parameters:
    `name` - the attribute's type is String

### getControlImplementation

    public String getControlImplementation()

  Get value of attribute form:control-implementation.

  Returns:
    return the attribute which type is String

### setControlImplementation

    public void setControlImplementation(String controlImplementation)

  Set value of attribute form:control-implementation.

  Parameters:
    `controlImplementation` - the attribute's type is String

### getHref

    public OdfAnyURI getHref()

  Get value of attribute xlink:href.

  Returns:
    return the attribute which type is OdfAnyURI

### setHref

    public void setHref(OdfAnyURI href)

  Set value of attribute xlink:href.

  Parameters:
    `href` - the attribute's type is OdfAnyURI

### getTargetFrame

    public OdfTargetFrameNameType getTargetFrame()

  Get value of attribute office:target-frame.

  Returns:
    return the attribute which type is OdfTargetFrameNameType

### setTargetFrame

    public void setTargetFrame(OdfTargetFrameNameType targetFrame)

  Set value of attribute office:target-frame.

  Parameters:
    `targetFrame` - the attribute's type is OdfTargetFrameNameType

### getMethod

    public String getMethod()

  Get value of attribute form:method.

  Returns:
    return the attribute which type is String

### setMethod

    public void setMethod(String method)

  Set value of attribute form:method.

  Parameters:
    `method` - the attribute's type is String

### getEnctype

    public String getEnctype()

  Get value of attribute form:enctype.

  Returns:
    return the attribute which type is String

### setEnctype

    public void setEnctype(String enctype)

  Set value of attribute form:enctype.

  Parameters:
    `enctype` - the attribute's type is String

### getAllowDeletes

    public OdfBoolean getAllowDeletes()

  Get value of attribute form:allow-deletes.

  Returns:
    return the attribute which type is OdfBoolean

### setAllowDeletes

    public void setAllowDeletes(OdfBoolean isAllowDeletes)

  Set value of attribute form:allow-deletes.

  Parameters:
    `isAllowDeletes` - the attribute's type is OdfBoolean

### getAllowInserts

    public OdfBoolean getAllowInserts()

  Get value of attribute form:allow-inserts.

  Returns:
    return the attribute which type is OdfBoolean

### setAllowInserts

    public void setAllowInserts(OdfBoolean isAllowInserts)

  Set value of attribute form:allow-inserts.

  Parameters:
    `isAllowInserts` - the attribute's type is OdfBoolean

### getAllowUpdates

    public OdfBoolean getAllowUpdates()

  Get value of attribute form:allow-updates.

  Returns:
    return the attribute which type is OdfBoolean

### setAllowUpdates

    public void setAllowUpdates(OdfBoolean isAllowUpdates)

  Set value of attribute form:allow-updates.

  Parameters:
    `isAllowUpdates` - the attribute's type is OdfBoolean

### getApplyFilter

    public OdfBoolean getApplyFilter()

  Get value of attribute form:apply-filter.

  Returns:
    return the attribute which type is OdfBoolean

### setApplyFilter

    public void setApplyFilter(OdfBoolean isApplyFilter)

  Set value of attribute form:apply-filter.

  Parameters:
    `isApplyFilter` - the attribute's type is OdfBoolean

### getCommandType

    public OdfCommandType getCommandType()

  Get value of attribute form:command-type.

  Returns:
    return the attribute which type is OdfCommandType

### setCommandType

    public void setCommandType(OdfCommandType commandType)

  Set value of attribute form:command-type.

  Parameters:
    `commandType` - the attribute's type is OdfCommandType

### getCommand

    public String getCommand()

  Get value of attribute form:command.

  Returns:
    return the attribute which type is String

### setCommand

    public void setCommand(String command)

  Set value of attribute form:command.

  Parameters:
    `command` - the attribute's type is String

### getDatasource

    public OdfAnyURI getDatasource()

  Get value of attribute form:datasource.

  Returns:
    return the attribute which type is OdfAnyURI

### setDatasource

    public void setDatasource(OdfAnyURI datasource)

  Set value of attribute form:datasource.

  Parameters:
    `datasource` - the attribute's type is OdfAnyURI

### getMasterFields

    public String getMasterFields()

  Get value of attribute form:master-fields.

  Returns:
    return the attribute which type is String

### setMasterFields

    public void setMasterFields(String masterFields)

  Set value of attribute form:master-fields.

  Parameters:
    `masterFields` - the attribute's type is String

### getDetailFields

    public String getDetailFields()

  Get value of attribute form:detail-fields.

  Returns:
    return the attribute which type is String

### setDetailFields

    public void setDetailFields(String detailFields)

  Set value of attribute form:detail-fields.

  Parameters:
    `detailFields` - the attribute's type is String

### getEscapeProcessing

    public OdfBoolean getEscapeProcessing()

  Get value of attribute form:escape-processing.

  Returns:
    return the attribute which type is OdfBoolean

### setEscapeProcessing

    public void setEscapeProcessing(OdfBoolean isEscapeProcessing)

  Set value of attribute form:escape-processing.

  Parameters:
    `isEscapeProcessing` - the attribute's type is OdfBoolean

### getFilter

    public String getFilter()

  Get value of attribute form:filter.

  Returns:
    return the attribute which type is String

### setFilter

    public void setFilter(String filter)

  Set value of attribute form:filter.

  Parameters:
    `filter` - the attribute's type is String

### getIgnoreResult

    public OdfBoolean getIgnoreResult()

  Get value of attribute form:ignore-result.

  Returns:
    return the attribute which type is OdfBoolean

### setIgnoreResult

    public void setIgnoreResult(OdfBoolean isIgnoreResult)

  Set value of attribute form:ignore-result.

  Parameters:
    `isIgnoreResult` - the attribute's type is OdfBoolean

### getNavigationMode

    public OdfNavigationModeType getNavigationMode()

  Get value of attribute form:navigation-mode.

  Returns:
    return the attribute which type is OdfNavigationModeType

### setNavigationMode

    public void setNavigationMode(OdfNavigationModeType navigationMode)

  Set value of attribute form:navigation-mode.

  Parameters:
    `navigationMode` - the attribute's type is OdfNavigationModeType

### getOrder

    public String getOrder()

  Get value of attribute form:order.

  Returns:
    return the attribute which type is String

### setOrder

    public void setOrder(String order)

  Set value of attribute form:order.

  Parameters:
    `order` - the attribute's type is String

### getTabCycle

    public OdfTabCycleType getTabCycle()

  Get value of attribute form:tab-cycle.

  Returns:
    return the attribute which type is OdfTabCycleType

### setTabCycle

    public void setTabCycle(OdfTabCycleType tabCycle)

  Set value of attribute form:tab-cycle.

  Parameters:
    `tabCycle` - the attribute's type is OdfTabCycleType

### createPropertiesElement

    public OdfPropertiesElement createPropertiesElement()

  Create child element form:properties.

  Returns:
    return the element form:properties

### createEventListenersElement

    public OdfEventListenersElement createEventListenersElement()

  Create child element office:event-listeners.

  Returns:
    return the element office:event-listeners

### createTextElement

    public OdfTextElement createTextElement()

  Create child element form:text.

  Returns:
    return the element form:text

### createTextareaElement

    public OdfTextareaElement createTextareaElement()

  Create child element form:textarea.

  Returns:
    return the element form:textarea

### createFormattedTextElement

    public OdfFormattedTextElement createFormattedTextElement()

  Create child element form:formatted-text.

  Returns:
    return the element form:formatted-text

### createNumberElement

    public OdfNumberElement createNumberElement()

  Create child element form:number.

  Returns:
    return the element form:number

### createDateElement

    public OdfDateElement createDateElement()

  Create child element form:date.

  Returns:
    return the element form:date

### createTimeElement

    public OdfTimeElement createTimeElement()

  Create child element form:time.

  Returns:
    return the element form:time

### createComboboxElement

    public OdfComboboxElement createComboboxElement()

  Create child element form:combobox.

  Returns:
    return the element form:combobox

### createListboxElement

    public OdfListboxElement createListboxElement()

  Create child element form:listbox.

  Returns:
    return the element form:listbox

### createCheckboxElement

    public OdfCheckboxElement createCheckboxElement()

  Create child element form:checkbox.

  Returns:
    return the element form:checkbox

### createCheckboxElement

    public OdfCheckboxElement createCheckboxElement(OdfImagePositionType imagePosition)

  Create child element form:checkbox.

  Parameters:
    `imagePosition` - the attribute's type is OdfImagePositionType, see form:image-position at specification
  Returns:
    return the element form:checkbox

### createPasswordElement

    public OdfPasswordElement createPasswordElement()

  Create child element form:password.

  Returns:
    return the element form:password

### createFileElement

    public OdfFileElement createFileElement()

  Create child element form:file.

  Returns:
    return the element form:file

### createFixedTextElement

    public OdfFixedTextElement createFixedTextElement()

  Create child element form:fixed-text.

  Returns:
    return the element form:fixed-text

### createButtonElement

    public OdfButtonElement createButtonElement()

  Create child element form:button.

  Returns:
    return the element form:button

### createButtonElement

    public OdfButtonElement createButtonElement(OdfImagePositionType imagePosition)

  Create child element form:button.

  Parameters:
    `imagePosition` - the attribute's type is OdfImagePositionType, see form:image-position at specification
  Returns:
    return the element form:button

### createImageElement

    public OdfImageElement createImageElement()

  Create child element form:image.

  Returns:
    return the element form:image

### createRadioElement

    public OdfRadioElement createRadioElement()

  Create child element form:radio.

  Returns:
    return the element form:radio

### createRadioElement

    public OdfRadioElement createRadioElement(OdfImagePositionType imagePosition)

  Create child element form:radio.

  Parameters:
    `imagePosition` - the attribute's type is OdfImagePositionType, see form:image-position at specification
  Returns:
    return the element form:radio

### createFrameElement

    public OdfFrameElement createFrameElement()

  Create child element form:frame.

  Returns:
    return the element form:frame

### createImageFrameElement

    public OdfImageFrameElement createImageFrameElement()

  Create child element form:image-frame.

  Returns:
    return the element form:image-frame

### createHiddenElement

    public OdfHiddenElement createHiddenElement()

  Create child element form:hidden.

  Returns:
    return the element form:hidden

### createGridElement

    public OdfGridElement createGridElement()

  Create child element form:grid.

  Returns:
    return the element form:grid

### createValueRangeElement

    public OdfValueRangeElement createValueRangeElement()

  Create child element form:value-range.

  Returns:
    return the element form:value-range

### createGenericControlElement

    public OdfGenericControlElement createGenericControlElement()

  Create child element form:generic-control.

  Returns:
    return the element form:generic-control

### createFormElement

    public OdfFormElement createFormElement()

  Create child element form:form.

  Returns:
    return the element form:form

### createConnectionResourceElement

    public OdfConnectionResourceElement createConnectionResourceElement(OdfAnyURI href)

  Create child element form:connection-resource.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element form:connection-resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.